Post upgrade (amahi 11) assistance

modem7
Posts: 215
Joined: Tue Mar 20, 2012 6:00 pm

Re: Post upgrade (amahi 11) assistance

Postby modem7 » Fri Mar 22, 2019 10:11 am

Whilst we investigate this, is there a CLI way to install Greyhole (e.g. whatever command the dashboard runs to install greyhole UI)? I had to uninstall it during the update procedure as per the recommendations, and currently I'm not able to access my pool (obviously lol).

Thanks!

modem7
Posts: 215
Joined: Tue Mar 20, 2012 6:00 pm

Re: Post upgrade (amahi 11) assistance

Postby modem7 » Fri Mar 22, 2019 10:23 am

I've stumbled across another log that might be useful:

amahi-platform-migration.log
rake aborted!
LoadError: incompatible library version - /usr/lib64/ruby/bigdecimal.so
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/xml_mini.rb:5:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/xml_mini.rb:5:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/core_ext/array/conversions.rb:3:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/core_ext/array/conversions.rb:3:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/duration.rb:3:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/duration.rb:3:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/core_ext/time/calculations.rb:3:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/core_ext/time/calculations.rb:3:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/file_update_checker.rb:3:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/file_update_checker.rb:3:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/i18n_railtie.rb:4:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/i18n_railtie.rb:4:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/railtie.rb:4:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/railtie.rb:4:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails.rb:17:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails.rb:17:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/all.rb:3:in `require'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/all.rb:3:in `<top (required)>'
/var/hda/platform/html/config/application.rb:3:in `require'
/var/hda/platform/html/config/application.rb:3:in `<top (required)>'
/var/hda/platform/html/Rakefile:6:in `require'
/var/hda/platform/html/Rakefile:6:in `<top (required)>'
/var/hda/platform/html/vendor/bundle/ruby/2.4.0/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'
(See full trace by running task with --trace)

And the httpd_error_log
https://pastebin.com/8SMx9Yhu

User avatar
bigfoot65
Project Manager
Posts: 11521
Joined: Mon May 25, 2009 4:31 pm

Re: Post upgrade (amahi 11) assistance

Postby bigfoot65 » Fri Mar 22, 2019 10:37 am

ßîgƒσστ65
Applications Manager

modem7
Posts: 215
Joined: Tue Mar 20, 2012 6:00 pm

Re: Post upgrade (amahi 11) assistance

Postby modem7 » Fri Mar 22, 2019 10:49 am

That works as expected, thanks!

User avatar
cpg
Administrator
Posts: 2605
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Post upgrade (amahi 11) assistance

Postby cpg » Tue Mar 26, 2019 4:24 pm

I cannot really tell from the logs posted why hda-ctl stops short of starting up. No error message is shown, for some reason.

The exit code is 2, which is perhaps an indication that the program exited because it could not process commands from the command fifo, but that's quite rare, indicating something may be busted in the system.

I don't know why syslog is not registering more error details from hda-ctl. I just don't have any more information to go by, sorry.

Maybe try and catch me in IRC and perhaps we can do a quick interactive session, but it could be anything but quick, making it prohibitively long to attack.
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

modem7
Posts: 215
Joined: Tue Mar 20, 2012 6:00 pm

Re: Post upgrade (amahi 11) assistance

Postby modem7 » Tue Mar 26, 2019 5:54 pm

No worries!

Let me know when you're online and I'll pop on. I'll be available tomorrow, I'm on UK time

User avatar
cpg
Administrator
Posts: 2605
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Post upgrade (amahi 11) assistance

Postby cpg » Sat Mar 30, 2019 8:53 am

Issue 1) missing dependency: perl-Regexp-Common

Issue 2) there was a migration (new in Amahi 11) that was not done in the upgrade, for whatever reason (maybe the migration had an error?)

I'm not sure how these two conditions can take place, since the RPM system ought to take care of both items in the upgrade. Maybe something was off in the way the RPMs were ran or something.
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

User avatar
cpg
Administrator
Posts: 2605
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Post upgrade (amahi 11) assistance

Postby cpg » Sat Mar 30, 2019 9:41 am

Issue 3) /etc/httpd/conf.d/php.conf was pointing to the wrong sock file .. which should be /run/php-fpm/php-fpm.sock and when, that file needed to be chmoded o+rw so that the web server would be able to talk to it (because it is owned by user nginx, not apache -- why?! ... apache losing the linux mind share to nginx finally?!?)
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

taa
Posts: 36
Joined: Sat Oct 16, 2010 2:26 pm

Re: Post upgrade (amahi 11) assistance

Postby taa » Fri Jul 12, 2019 10:29 pm

Add me to the list of users who was unable to do a successful upgrade to Amahi 11. My symptoms closely match the OP. I plan to do a fresh install but wanted to put my notes here in case it helps in discerning a pattern to whatever causes "The Dashboard has encountered an exception!" error.

Upgrade from Amahi 9/Fedora 23 to Amahi 10/Fedora 25
  • uninstalled whatever was listed under Dashboard -> Apps -> Installed
  • performed upgrade according to https://wiki.amahi.org/index.php/Amahi_10_Upgrade
  • disable firewall steps on rolekit gave "Failed to stop rolekit.service: Unit rolekit.service not loaded." and "Failed to disable unit: No such file or directory"
  • the greyhole program disappeared completely, had to reinstall manually, but I noted that /etc/greyhole.conf.rpmsave had been created
  • I manually fixed /etc/greyhole.conf
  • ran under Amahi 10 for about 3.5 hours and didn't encounter any issues
Upgrade Amahi 10/Fedora 25 to Amahi 11/Fedora 27
  • under Dashboard -> Apps -> Installed, the only app that had been automatically installed from previous upgrade was Greyhole UI, which surprised me as I wasn't planning to manually reinstall any apps until after I was successfully on Amahi 11
  • I uninstalled Greyhole UI through the Dashboard
  • performed upgrade according to https://wiki.amahi.org/index.php/Amahi_11_Upgrade
  • same issue with rolekit as above
  • same issue with greyhole as above
  • I thought everything had upgraded as smoothly as Amahi 9 to 10, but got Dashboard exception error
  • did steps here and was surprised to see /var/hda/platform/html/plugins/1003-pooling despite my manually uninstalling; it might have existed after the Amahi 9 to 10 upgrade but I didn't have a reason to check
  • removed /var/hda/platform/html/plugins/1003-pooling and rebooted, still got Dashboard exception error
  • based on this post I checked and rsyslog was not installed so I installed it
  • no /var/log/messages file existed
  • restarted hda-ctl but Dashboard exception persists
  • based on this post issue #1 I verified that perl-Regexp-Common was installed
  • I don't know what migration is being referred to by this post issue #2 so I don't know what to check
  • a restart of hda-ctl continues to fail
  • in file /var/log/httpd/error_log I see, "AH02951: mod_ssl does not seem to be enabled"
  • based on this stackoverflow post I install mod_ssl, restart httpd and hda-ctl but hda-ctl still fails
  • based on this post I look at /var/hda/platform/html/log/production.log and see INFO lines stating, "Completed 500 Internal Server Error" (snipped) followed by FATAL lines for "JSON::ParserError (765: unexpected token" (snipped)
  • based on this post issue #3 I do 'grep sock /etc/httpd/conf.d/php.conf' and get the result, 'SetHandler "proxy:unix:/run/php-fpm/www.sock|fcgi://localhost"'
  • just before I gave up I noticed that now file /var/log/messages exists but has zero bytes

User avatar
bigfoot65
Project Manager
Posts: 11521
Joined: Mon May 25, 2009 4:31 pm

Re: Post upgrade (amahi 11) assistance

Postby bigfoot65 » Sat Jul 13, 2019 10:22 am

Thanks for the notes.

Was there any modifications you made to the HDA before trying the upgrades?

We have not had many successful upgrades to Amahi 11 unfortunately.

That leads me to believe that the upgrade path from previous Amahi versions to the latest may not be an option any longer.

Guess time will tell.
ßîgƒσστ65
Applications Manager

Who is online

Users browsing this forum: No registered users and 4 guests